Description

here is a patch to handle min and max alert time in groupings differently on postgresql than other databases. this patch will not effect

mysql or sqllite users.

the methodology used in the patch for postgresql should also be tested under sqllite I suspect it will have the same effect but im not

sure.

History

#1 - 06/14/2007 03:25 PM - Yoann VANDOORSELAERE

Replying to prmarino1@gmail.com:

here is a patch to handle min and max alert time in groupings differently on postgresql than other databases. this patch will not effect mysql or

sqllite users.

the methodology used in the patch for postgresql should also be tested under sqllite I suspect it will have the same effect but im not sure.

 

Hello Paul, and thanks for your patch!

We are currently on our way to fixing several issues with the databases schema. Therefore I am going to wait until this is finished before making any

change in the way we perform query to the database system, since improving the schema will impact the query themselves.

Concerning your patch, rather than solving the MIN/MAX problem in Prewikka, which involve using different path for different database, it would be

interesting to have a look at fixing ticket #52, which would finally permit to fix the issue in a database independent way.

Making the query different depending on the database in Prewikka itself defeat the abstraction purpose of libpreludedb, and make the code more

error prone and difficult to debug. So I would be willing to investigate this, but only as a last resort if we have no solution to the main problem.

Regards,

#2 - 11/20/2007 09:35 AM - Yoann VANDOORSELAERE

- Status changed from New to Closed

- Resolution set to fixed

05/06/2024 1/2

www.prelude-siem.org/issues/show/239
http://www.prelude-siem.org/issues/52


Mark as closed: Prewikka 0.9.13 contain a database independent fix for this issue.

#3 - 04/29/2009 12:21 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Prewikka

- Category deleted (5)

Files

pgsqltimes2.diff 1.18 KB 06/14/2007 prmarino1-gmail-com -
